Bug 104174 - up2date failure and traceback retrieving sushi 9/9/03
up2date failure and traceback retrieving sushi 9/9/03
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-10 15:01 EDT by Matt Domsch
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-16 15:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2003-09-10 15:01:55 EDT
Description of problem:
up2date -u -f generates this traceback.
...
iputils-20020927-10.src.rpm ########################## Done.
jakarta-regexp-1.2-12.i386. ########################## Done.
jakarta-regexp-1.2-12.src.r ########################## Done.
kdegraphics-3.1.3-3.2.i386. ########################## Done.
kdegraphics-3.1.3-3.2.src.r ########################## Done.
kdegraphics-devel-3.1.3-3.2 ########################## Done.
kdegraphics-3.1.3-3.2.src.r ########################## Done.
kdelibs-3.1.3-6.1.i386.rpm: ########################## Done.
kdelibs-3.1.3-6.1.src.rpm:  ########################## Done.
kdelibs-devel-3.1.3-6.1.i38 ########################## Done.
kdelibs-3.1.3-6.1.src.rpm:  ########################## Done.
kdenetwork-3.1.3-1.4.i386.r ########################## Done.
kdenetwork-3.1.3-1.4.src.rp ########################## Done.
kdenetwork-devel-3.1.3-1.4. ########################## Done.
kdenetwork-3.1.3-1.4.src.rp ########################## Done.
kernel-utils-2.4-8.37.i386. ########################## Done.
kernel-utils-2.4-8.37.src.r ########################## Done.
krb5-libs-1.2.7-18.i386.rpm ########################## Done.
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1155, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 748, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1019, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 73, in run
    self.__getPackages()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 139, in __getPackages
    up2date.getPackage(pkg, wrapperUtils.printPkg, wrapperUtils.printRetrieveHash)
  File "/usr/share/rhn/up2date_client/up2date.py", line 327, in getPackage
    progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 160, in doCall
    pkgName = "%s-%s-%s.%s" % (pkg[0], pkg[1], pkg[2], pkg[4])
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 50, in __getitem__
    return self.dict[item]
KeyError: 0


Version-Release number of selected component (if applicable):
3.9.23-1
3.9.24-1


How reproducible:
always

Steps to Reproduce:
1. system is up2date from 9/8/03 sushi, all packages installed
2. removed -devel packages required to update to 9/9 sushi
3. up2date -u
    
Actual results:
traceback and failure

Expected results:
success

Additional info:
Comment 1 Adrian Likins 2003-09-15 12:55:06 EDT
looks to be related to missing source rpms in sushi channel
and bad error handling in the new client.

I'll take a look at the latter, the first needs to be
handled by rel eng, but they are aware of it now.
Comment 2 Tim Powers 2003-09-16 14:39:46 EDT
All of the SRPM packages should be available on sushi already. Does this problem
persist?
Comment 3 Matt Domsch 2003-09-16 15:23:57 EDT
Confirmed, fixed by package updates in the RHN channel.  Updates from RHN now
successful, thanks.  Closing.

Note You need to log in before you can comment on or make changes to this bug.